const BitSensor = require('./bitsensor');
const VersionHandler = require('./handler/bitsensor_version_handler');
const EnvironmentHandler = require('./handler/environment_handler');
const TimeHandler = require('./handler/time_handler');
const ApplicationHandler = require('./handler/application_handler');

bitSensor = new BitSensor();
bitSensor.addPostHandler(new VersionHandler());
bitSensor.addPostHandler(new EnvironmentHandler());
bitSensor.addPostHandler(new TimeHandler());
bitSensor.addPostHandler(new ApplicationHandler());

require('../hook');
