require('./core/init');
const { proto } = require('./core/compiled');
const BitSensor = require('./core/bitsensor');
const consts = require('./core/constants');
const { version } = require('./package.json');

module.exports = {
  setConfig: BitSensor.prototype.setConfig.bind(bitSensor),
  getDatapoint: BitSensor.prototype.getDatapoint.bind(bitSensor),
  Constants: consts,
  Datapoint: proto.Datapoint,
  DatapointReceiver: proto.DatapointReceiver,
  Reply: proto.Reply,
  Error: proto.Error,
  GeneratedBy: proto.GeneratedBy,
  Detection: proto.Detection,
  Invocation: proto.Invocation,
  VERSION: version,
};
