const { expect } = require('chai');
const TimeHandler = require('../core/handler/time_handler');
const moment = require('moment');
const { Endpoint } = require('../index').Constants;
const { Datapoint } = require('../index');

describe('Time handler', () => {
  it('should have equal time', () => {
    const datapoint = new Datapoint();
    new TimeHandler().handle(datapoint);
    expect(moment(datapoint.endpoint[Endpoint.LOCALTIME]).isValid()).to.be.true;
  });
});
